# Update user attribution

`PUT https://api.cademi.com.br/api/v3/users/{user_id}/attribution`

Operation ID: `users.attribution.update` · API v3

Saves the user's sign-up attribution data. Fields that are not supported attribution fields are ignored.

If extra sign-up fields are not enabled for the account, the request is rejected with `feature_disabled` instead of being ignored.

Required permissions: `users.update`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `user_id` | path | string | yes |  |

## Request body

Content type: `application/json`.

Schema: object.

## Responses

### 200

Returns the user's updated attribution data.

Body: `data`: UserAttribution.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The user was not found or is not accessible with the current credentials.

Body: Error.

### 409

Extra sign-up fields are not enabled for the account.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
